Subject: RE: 2 copies of perl includes?
From: "linda w \(cyg\)" <[email-masked]>
To: <[email-masked]>
Cc: "'Max Bowsher'" <[email-masked]>
Date: Mon, 30 Dec 2002 17:40:00 -0800

> -----Original Message-----
> From: Max Bowsher [mailto:[email-masked]] 
> > 5.8?  Is that available in cygwin-x86?  I don't recall it being an 
> > option on recent downloads, but I may have missed it.  I do 
> have it on 
> > my gnunix systems though.
> 
> As a test version. It will show in the click through list, 
> but hasn't yet been promoted to curr, so presumably there are 
> a few buglets left.
---
	Ah...cool!  Maybe will have to try an early edition assuming I can
find a semi-fast mirror that carries the test versions.

> 
> > I'm also not quite clear on the purpose of the 1st mount as 
> it seems 
> > to mount on top of itself unlike the second 2 mounts.
> 
> To force binary mode, in case the root mounts are textmode.
---
	Ah...textmode -- just sounds dangerous for a mount.

> You may verify that they are indeed both included in the 
> Cygwin perl package, by looking in /etc/setup/perl.lst.gz.
---
	THAT's where they install Db is....I wondered about that.  Surprised
they didn't port over RPM, working with RH as closely as they were.

> I do not know the reason for the duplication.
---
	Thanks...that's pretty much what I needed to know...didn't know if
I'd messed up my installation at some point...I have some really weird problems
on my system, at times (not just cygwin) -- I try to install as many packages
on Win as I would on my linux system.  Seems like there's a lot more chaos and
incompatibilities in the closed-source MS world than in linux...but I guess
that's a side effect of every vendor writing their own install system and
no single public 'spec' 'install' type system to reference or improve on and
a large vacuum of public, published specifications and information 
that everyone tries to work around.

Linda

--
Unsubscribe info:      http://cygwin.com/ml/#unsubscribe-simple
Bug reporting:         http://cygwin.com/bugs.html
Documentation:         http://cygwin.com/docs.html
FAQ:                   http://cygwin.com/faq/